Generate an on-demand report

PATCH
/api/v1/reports/{id}/format/{outputFormat}/on-demand

Generate a report in the specified output format based on the provided selections.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The unique ID of the report.

Formatuuid
outputFormat*string

The desired output format for the generated report.

Request Body

application/json

The selections for generating the report.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/format/string/on-demand" \  -H "Content-Type: application/json" \  -d '{}'
"string"